<?php
/**
 * PromoCodeUpdatablePropertiesTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\MarketingClient;

use PHPUnit\Framework\TestCase;

/**
 * PromoCodeUpdatablePropertiesTest Class Doc Comment
 *
 * @category    Class
 * @description PromoCodeUpdatableProperties
 * @package     Ensi\MarketingClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class PromoCodeUpdatablePropertiesTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "PromoCodeUpdatableProperties"
     */
    public function testPromoCodeUpdatableProperties()
    {
    }

    /**
     * Test attribute "creator_id"
     */
    public function testPropertyCreatorId()
    {
    }

    /**
     * Test attribute "owner_id"
     */
    public function testPropertyOwnerId()
    {
    }

    /**
     * Test attribute "seller_id"
     */
    public function testPropertySellerId()
    {
    }

    /**
     * Test attribute "status"
     */
    public function testPropertyStatus()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "code"
     */
    public function testPropertyCode()
    {
    }

    /**
     * Test attribute "counter"
     */
    public function testPropertyCounter()
    {
    }

    /**
     * Test attribute "start_date"
     */
    public function testPropertyStartDate()
    {
    }

    /**
     * Test attribute "end_date"
     */
    public function testPropertyEndDate()
    {
    }

    /**
     * Test attribute "discount_id"
     */
    public function testPropertyDiscountId()
    {
    }
}
